@rem
@rem Change the following myXxx settings to reflect your environment...
@rem
@rem  myOraFailover: name of the Oracle failover object
@rem  myOraStopSql: the .sql to shutdown the database, full-qualified path
@rem  myOracleSid: name of Oracle Sid (e.g. ORCL, ORC1, ORC2, etc.)
@rem  myOracleSvrMgr: SVRMGR23.EXE, SVRMGR30.EXE, SQLDBA63.EXE, etc.
@rem  myOracleListenerFullName: full name of the listener (e.g. OracleTNSListenerXxx, OracleTNSListener80Xxx)
@rem  myNode0: computer name of node 0
@rem  myNode0_OracleHome: full-qualified path of the ORACLE_HOME on node 0
@rem  myNode1: computer name of node 1
@rem  myNode1_OracleHome: full-qualified path of the ORACLE_HOME on node 1
@rem
	@set myOraFailover=OracleFailover
	@set myOraStopSql=Z:\OraDCNT\Scripts\OraStop.sql
	@set myOracleSid=ORCL
	@set myOracleSvrMgr=SVRMGR23.EXE
	@set myOracleListenerFullName=OracleTNSListener
	@set myNode0=Node0
	@set myNode0_OracleHome=D:\OraNT
	@set myNode1=Node1
	@set myNode1_OracleHome=E:\OraNT
@rem
@rem Actual work starts below...
@rem

@echo *** Running "%0" on "%ComputerName%" for failover object "%myOraFailover%"...
prompt $d $t $g$g 
set ORACLE_SID=%myOracleSid%
:beginNode0
if not "%ComputerName%" == "%myNode0%" goto endNode0
	"%myNode0_OracleHome%\bin\%myOracleSvrMgr%" @"%myOraStopSql%" 
	net stop %myOracleListenerFullName%
	@goto theEnd
:endNode0
:beginNode1
if not "%ComputerName%" == "%myNode1%" goto endNode1
	"%myNode1_OracleHome%\bin\%myOracleSvrMgr%" @"%myOraStopSql%" 
	net stop %myOracleListenerFullName%
	@goto theEnd
:endNode1
:nodeUnknown
	@echo *** Error -- node "%ComputerName%" not a cluster member!!
	@goto theVeryEnd
:theEnd
@echo.
@echo *** Done with "%0" on "%ComputerName%"
:theVeryEnd
prompt
